Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.streaming
Class EditEntry

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTPointerRef
                  |
                  +--quicktime.streaming.EditEntry

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class EditEntry
extends QTPointerRef

A class that represents an editable entry within a stream

Field Summary
`static int` | `kNativeSize` This is the size of this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`EditEntry()` Create an EditEntry object
`EditEntry(long duration, long startTime, float rate)` This constructor creates an EditEntry Object

Method Summary
`long` | `getPresentationDuration()` Retrieves the presentation duration of the entry.
`float` | `getStreamRate()` Retrieves the streaming rate associated with the entry.
`long` | `getStreamStartTime()` Retrieves the start time associated with this entries stream.
`void` | `setPresentationDuration(long duration)` Sets the presentation duration of the entry.
`void` | `setStreamRate(float rate)` Sets the time scale of the Broadcaster params.
`void` | `setStreamStartTime(long startTime)` Sets the start time of the entry's stream.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class quicktime.util.QTPointerRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, getBytes, getSize`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size of this class

Constructor Detail

### EditEntry

    public EditEntry()
              throws QTException

  Create an EditEntry object

### EditEntry

    public EditEntry(long duration,
                     long startTime,
                     float rate)
              throws QTException

  This constructor creates an EditEntry Object
  Parameters:
    `duration` - the duration of the presentation
    `startTime` - the start time of the stream
    `rate` - the rate of the stream

Method Detail

### getPresentationDuration

    public long getPresentationDuration()

  Retrieves the presentation duration of the entry.
  Returns:
    duration of the presenter

### getStreamStartTime

    public long getStreamStartTime()

  Retrieves the start time associated with this entries stream.
  Returns:
    start time

### getStreamRate

    public float getStreamRate()

  Retrieves the streaming rate associated with the entry.
  Returns:
    stream rate

### setPresentationDuration

    public void setPresentationDuration(long duration)

  Sets the presentation duration of the entry.
  Parameters:
    `duration` - the presentation duration

### setStreamStartTime

    public void setStreamStartTime(long startTime)

  Sets the start time of the entry's stream.
  Parameters:
    `startTime` - stream start time

### setStreamRate

    public void setStreamRate(float rate)

  Sets the time scale of the Broadcaster params.
  Parameters:
    `scale` - the time scale

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `QTPointerRef`
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD